$(function(){
   $("#head2 .login").click(function(){
    $(this).css("backgroundColor","#FFF8F4");
    $("#head2 .reg").css("backgroundColor","#FFE7D9");
    $("#main .mainreg").hide();
    $("#main .mainlogin").show();
   }); 
   
   $("#head2 .reg").click(function(){
    $(this).css("backgroundColor","#FFF8F4");
    $("#head2 .login").css("backgroundColor","#FFE7D9");
    $("#main .mainreg").show();
    $("#main .mainlogin").hide();
   }); 
   
   $("#regsubmit").click(function(){
   var username = $("#username").val();
   var userpass = $("#userpass").val();
   var nicheng = $("#nicheng").val();
   if(username.length != '11'){
       alert('您输入的手机号码不正确!');
       return false;
   }
   if(isNaN(username)){
       alert('您输入的手机号码存在非数字');
       return false;
   }
   if(userpass.length < '1'){
       alert('请输入登录密码!');
       return false;
   }
   if(nicheng.length < '1'){
       alert('请输入昵称!');
       return false;
   }
   $.post("regcheck.php",{
    username:username,
    userpass:userpass,
    nicheng:nicheng
   },function(a,b){
    if(a=="1"){
        alert('您的手机号码已被注册!');
        return false;
    }
    if(a=="ok"){
        location.href='menber.php';
    return false;
    }
   });
   });

   $("#loginsubmit").click(function(){
   var username = $("#loginusername").val();
   var userpass = $("#loginuserpass").val();
   if(username.length != '11'){
       alert('您输入的手机号码不正确!');
       return false;
   }
   if(isNaN(username)){
       alert('您输入的手机号码存在非数字');
       return false;
   }
   if(userpass.length < '1'){
       alert('请输入登录密码!');
       return false;
   }
   $.post("logincheck.php",{
    username:username,
    userpass:userpass
   },function(a,b){
    if(a=="2"){
    alert('您的账号已被冻结,请联系管理员!');
    return false;
    }
    if(a=="1"){
    alert('您的手机号码或密码有误!');
    return false;
    }else{
    location.href='menber.php';
    }
   });
   });
   
});
